# Additional axioms

## Axiom of choice

> *Principle*: let $C$ be a collection of nonempty sets. Then there exists a map 
>
>$$
>    f: C \to \bigcap_{A \in C} A
>$$
>
> with $f(A) \in A$. 
>
> * The image of $f$ is a subset of $\bigcap_{A \in C} A$. 
> * The function $f$ is called a **choice function**.

The following statements are equivalent to the axiom of choice.

* For any two sets $A$ and $B$ there does exist a surjective map from $A$ to $B$ or from $B$ to $A$.
* The cardinality of an infinite set $A$ is equal to the cardinality of $A \times A$.
* Every vector space has a basis.
* For every surjective map $f: A \to B$ there is a map $g: B \to A$ with $f(g(b)) = b$ for all $b \in B$.

## Axiom of regularity

> *Principle*: let $X$ be a nonempty set of sets. Then $X$ contains an element $Y$ with $X \cap Y = \varnothing$. 

As a result of this axiom any set $S$ cannot contain itself.